View Issue Details

IDProjectCategoryView StatusLast Update
0001609SymmetricDSImprovementpublic2014-06-16 20:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001609: File sync mutex limits scaling multiple clients
DescriptionThe incoming file sync threads enter a synchronized block when running the script that copies files into place. This allows only one thread to copy files at a time. The file tracker that checks for file changes also uses the synchronized block. Replace the synchronized block with a shared lock for file sync threads that allows multiple threads to copy files, and an exclusive lock for the file tracker.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 54dc905c

2014-02-27 20:25:52

erilong

Details Diff
0001609: File sync mutex limits scaling multiple clients
0001609
add - symmetric-client/src/test/java/org/jumpmind/symmetric/service/impl/JdbcClusterServiceTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Lock.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractClusterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractServiceTest.java Diff File

SymmetricDS: master 62ef5227

2014-02-28 11:46:43

erilong

Details Diff
0001609: File sync mutex limits scaling multiple clients
0001609
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractClusterServiceTest.java Diff File

SymmetricDS: master 1e94796d

2014-03-06 09:14:16

erilong

Details Diff
0001609: File sync mutex limits scaling multiple clients - fix SQL to work on MySQL
0001609
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-02-27 20:24 elong New Issue
2014-02-27 20:24 elong Status new => assigned
2014-02-27 20:24 elong Assigned To => elong
2014-02-27 21:00 Changeset attached => SymmetricDS trunk r8003
2014-02-28 12:00 Changeset attached => SymmetricDS trunk r8006
2014-03-02 11:00 Changeset attached => SymmetricDS 3.5+fs r8012
2014-03-03 07:35 chenson Status assigned => resolved
2014-03-03 07:35 chenson Fixed in Version => 3.6.0
2014-03-03 07:35 chenson Resolution open => fixed
2014-03-06 10:00 Changeset attached => SymmetricDS trunk r8034
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 1e94796d
2015-07-30 21:49 Changeset attached => SymmetricDS master 62ef5227
2015-07-30 21:49 Changeset attached => SymmetricDS master 54dc905c